XPI-REPACK(1)

NAME
xpi-repack - repack a xpi file into a tarball

SYNOPSIS
xpi-repack [options] xpi-file

DESCRIPTION
xpi-repack is a helper tool for packaging XUL extensions. It repacks the given xpi file into a proper tarball that can be used as source tarball for the Debian package. It is designed to work with uscan. Here is an example for debian/watch: version=3
ftp://ftp.mozilla.org/pub/mozilla.org/addons/<id>/<package>-([\d\.]+)-.*\.xpi debian xpi-repack

OPTIONS

-h, --help
    Display a brief help message.

-p package, --package=package
    The package name will be used for naming the resulting tarball. If this parameter is not provided, the source package name in debian/control will be used.

-u version, --upstream-version=version
    The version will be used for naming the resulting tarball. You have to specify this parameter.

-f compression, --format=compression
    The specified format will be used for compressing the resulting tarball. The formats bz2, gz, and xz are supported. When the parameter is omitted, xz will be used for "3.0 (quilt)" source packages and gz for all other source package types.

-v, --verbose
    Print more information.

AUTHOR
Benjamin Drung <bdrung@debian.org>